
			var camera, scene, renderer;

			init();

			function init() {

				/* Scene */
				scene = new THREE.Scene();
				scene.background = new THREE.Color( 0x999999 );
                
                /* Clock */


				/* Light */
				var light = new THREE.DirectionalLight( 0xffffff );
				light.position.set( 0.5, 1.0, 0.5 ).normalize();
				scene.add( light );
				
				/* Camera */
				camera = new THREE.PerspectiveCamera( 40, window.innerWidth / window.innerHeight, 1, 500 );
				camera.position.x = 10;
				camera.position.y = 6;
				camera.position.z = 17;
				scene.add( camera );

				// /* Grid */
				// var grid = new THREE.GridHelper( 20, 20, 0xffffff, 0x555555 );
				// scene.add( grid );
				
				/* Renderer */
				renderer = new THREE.WebGLRenderer( { antialias: true } );
				renderer.setPixelRatio( window.devicePixelRatio );
				renderer.setSize( window.innerWidth, window.innerHeight );
				document.body.appendChild( renderer.domElement );

				/* Loader */
				var loader = new THREE.GLTFLoader();
				loader.load( 'models/stonehenge.glb', function ( gltf ) {
				gltf.scene.position.y = 0;
				scene.add( gltf.scene );
				render();
                } );
                
                /* Second Loader */
                let mixer;
                const loader1 = new THREE.GLTFLoader();
                loader1.load('models/falling_block_animation.glb', function (gltf) {
                    const model = gltf.scene;
                    scene.add(model);
                    mixer = new THREE.AnimationMixer(model);
                    gltf.animations.forEach((clip) => {
                        mixer.clipAction(clip).play();
                    })
                })

				/* Controls */
				var controls = new THREE.OrbitControls( camera, renderer.domElement );
				controls.addEventListener( 'change', render );
				controls.update();
				window.addEventListener( 'resize', onWindowResize, false );
			}

			function onWindowResize() {
				camera.aspect = window.innerWidth / window.innerHeight;
				camera.updateProjectionMatrix();
				renderer.setSize( window.innerWidth, window.innerHeight );
				render();
			}
            
            function animate() {
                requestAnimationFrame( animate );
                var mixerUpdateDelta = clock.getDelta();
                mixer.update( mixerUpdateDelta );
            }

			function render() {
				renderer.render( scene, camera );
			}
